{% if pageCount > 1 %}
    <ul class="flex items-center justify-between border-t pagination">

        {% if previous is defined %}
            <li>
				<a class="flex items-center" rel="prev" href="{{ path(route, query|merge({(pageParameterName): previous})) }}">
					<svg class="w-6 mr-2" fill="currentColor" viewbox="0 0 20 20">
						<path d="M7.707 14.707a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 1.414L5.414 9H17a1 1 0 110 2H5.414l2.293 2.293a1 1 0 010 1.414z" clip-rule="evenodd" fill-rule="evenodd"></path>
					</svg>
					Précédent
				</a>
            </li>
        {% else %}
            <li aria-disabled="true" class="flex items-center text-gray-600 cursor-not-allowed">
				<svg class="w-6 mr-2" fill="currentColor" viewbox="0 0 20 20">
					<path d="M7.707 14.707a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 1.414L5.414 9H17a1 1 0 110 2H5.414l2.293 2.293a1 1 0 010 1.414z" clip-rule="evenodd" fill-rule="evenodd"></path>
				</svg>
                <span>Précédent</span>
            </li>
        {% endif %}

        <div class="pagination__number">

        {% if startPage > 1 %}
        <li>
            <a href="{{ path(route, query|merge({(pageParameterName): 1})) }}">1</a>
        </li>
        {% if startPage == 3 %}
            <li>
                <a href="{{ path(route, query|merge({(pageParameterName): 2})) }}">2</a>
            </li>
        {% elseif startPage != 2 %}
            <li aria-disabled="true">
                <span>&hellip;</span>
            </li>
        {% endif %}
        {% endif %}

        {% for page in pagesInRange %}
            {% if page != current %}
                <li>
                    <a href="{{ path(route, query|merge({(pageParameterName): page})) }}">{{ page }}</a>
                </li>
            {% else %}
                <li class="is-active">
                    <span>{{ page }}</span>
                </li>
            {% endif %}

        {% endfor %}

        {% if pageCount > endPage %}
            {% if pageCount > (endPage + 1) %}
                {% if pageCount > (endPage + 2) %}
                    <li aria-disabled="true">
                        <span>&hellip;</span>
                    </li>
                {% else %}
                    <li>
                        <a href="{{ path(route, query|merge({(pageParameterName): (pageCount - 1)})) }}">{{ pageCount -1 }}</a>
                    </li>
                {% endif %}
            {% endif %}
            <li>
                <a href="{{ path(route, query|merge({(pageParameterName): pageCount})) }}">{{ pageCount }}</a>
            </li>
        {% endif %}

        </div>
        {% if next is defined %}
            <li>
				<a class="flex items-center" rel="next" href="{{ path(route, query|merge({(pageParameterName): next})) }}">
					Suivant
					<svg class="w-6 ml-2" fill="currentColor" viewbox="0 0 20 20">
						<path d="M12.293 5.293a1 1 0 011.414 0l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414-1.414L14.586 11H3a1 1 0 110-2h11.586l-2.293-2.293a1 1 0 010-1.414z" clip-rule="evenodd" fill-rule="evenodd"></path>
					</svg>
				</a>

            </li>
        {% else %}
            <li aria-disabled="true" class="flex items-center text-gray-600 cursor-not-allowed">
                <span>Suivant</span>
				<svg class="w-6 ml-2" fill="currentColor" viewbox="0 0 20 20">
					<path d="M12.293 5.293a1 1 0 011.414 0l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414-1.414L14.586 11H3a1 1 0 110-2h11.586l-2.293-2.293a1 1 0 010-1.414z" clip-rule="evenodd" fill-rule="evenodd"></path>
				</svg>
            </li>
        {% endif %}
    </ul>
{% endif %}